<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');
function xExportar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsReporteVentaDetFamilia($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTitulo = $obj->varTitulo;	
	$varAni = $varForm["anio"];
	$varMes = $varForm["mes"];
	$varPro = $varForm["pcod"];
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export_detalle_venta_familia.php?page=".$varTitulo."&anio=".$varAni."&mes=".$varMes."&pro=".$varPro);
    return $objResponse;
	    
    return $objResponse;
	}
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
		
	function xExportarJS() {
		if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else if (xajax.$("pcod") && xajax.$("pcod").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PROVEEDOR");
			xajax.$("pcod").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}
	
</script>
<?php		
function MyTable($obj, $titulo, $Opcion, $Valor) {
	if(!isset($Opcion)) {
		echo "<div id=\"divForm\">";
		echo $obj->FormuBusqueda();
		echo "</div>";
		}
	}
?>